<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myServiceLabel" jhiTranslate="mpmApp.service.home.createOrEditLabel">Create or edit a Service</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!service.idProduct">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="service.idProduct" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.service.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                [(ngModel)]="service.name"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.service.dateIntroduction" for="field_dateIntroduction">Date Introduction</label>
            <div class="input-group">
                <p-calendar inputId="field_dateIntroduction" name="input_dateIntroduction" [(ngModel)]="service.dateIntroduction"
                    dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                    [showIcon]="true"></p-calendar>
            </div>
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.service.uom" for="field_uom">Uom</label>
            <select class="form-control" id="field_uom" name="uom" [(ngModel)]="service.uomId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="uomOption.idUom" *ngFor="let uomOption of uoms; trackBy: trackUomById">{{uomOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.service.feature" for="field_feature">Feature</label>
            <select class="form-control" id="field_feature" multiple name="feature" [(ngModel)]="service.features">
                <option [ngValue]="getSelected(service.features, featureOption)" *ngFor="let featureOption of features; trackBy: trackFeatureById">{{featureOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label jhiTranslate="mpmApp.service.category" for="field_category">Category</label>
            <select class="form-control" id="field_category" multiple name="category" [(ngModel)]="service.categories">
                <option [ngValue]="getSelected(service.categories, productCategoryOption)" *ngFor="let productCategoryOption of productcategories; trackBy: trackProductCategoryById">{{productCategoryOption.description}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.service.weType" for="field_weType">We Type</label>
            <select class="form-control" id="field_weType" name="weType" [(ngModel)]="service.weTypeId">
                <option [ngValue]="null"></option>
                <option [ngValue]="weServiceTypeOption.idWeType" *ngFor="let weServiceTypeOption of wetypes; trackBy: trackWeServiceTypeById">{{weServiceTypeOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
